Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Map_Manager_Reverse_Iterator_Adapter Class Template Reference

Defines a reverse iterator implementation for the Map Manager. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Map_Manager_Reverse_Iterator_Adapter

[legend]
Collaboration diagram for ACE_Map_Manager_Reverse_Iterator_Adapter:

[legend]
List of all members.

## Public Types
typedef ACE_TYPENAME ACE_Map_Manager< KEY, VALUE, ACE_Null_Mutex>::reverse_iterator | implementation
## Public Methods
| ACE_Map_Manager_Reverse_Iterator_Adapter (const ACE_Map_Reverse_Iterator<KEY, VALUE, ACE_Null_Mutex> &impl)
| Constructor.
virtual | ~ACE_Map_Manager_Reverse_Iterator_Adapter (void)
| Destructor.
virtual ACE_Reverse_Iterator_Impl< T>* | clone (void) const
| Clone.
virtual int | compare (const ACE_Reverse_Iterator_Impl<T> &rhs) const
| Comparison.
virtual T | dereference (void) const
| Dereference.
virtual void | plus_plus (void)
| Advance.
virtual void | minus_minus (void)
| Reverse.
ACE_Map_Reverse_Iterator<KEY, VALUE, ACE_Null_Mutex>& | impl (void)
| Accessor to implementation object.
## Protected Attributes
ACE_Map_Reverse_Iterator<KEY, VALUE, ACE_Null_Mutex> | implementation_
| All implementation details are forwarded to this class.

## Detailed Description

### template<class T, class KEY, class VALUE> template class ACE_Map_Manager_Reverse_Iterator_Adapter

Defines a reverse iterator implementation for the Map Manager.

Implementation to be provided by ACE_Map_Manager::reverse_iterator.

## Member Typedef Documentation

template<classT, classKEY, classVALUE>
typedef ACE_TYPENAME ACE_Map_Manager<KEY, VALUE, ACE_Null_Mutex>::reverse_iterator ACE_Map_Manager_Reverse_Iterator_Adapter<T, KEY, VALUE>::implementation

## Constructor & Destructor Documentation

template<classT, classKEY, classVALUE>
ACE_INLINE ACE_Map_Manager_Reverse_Iterator_Adapter< T,KEY,VALUE >::ACE_Map_Manager_Reverse_Iterator_Adapter<T, KEY, VALUE> ( | const ACE_Map_Reverse_Iterator< KEY,VALUE,ACE_Null_Mutex >& impl )

| Constructor.

template<classT, classKEY, classVALUE>
ACE_INLINE ACE_Map_Manager_Reverse_Iterator_Adapter< T,KEY,VALUE >::~ACE_Map_Manager_Reverse_Iterator_Adapter<T, KEY, VALUE> ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

template<classT, classKEY, classVALUE>
ACE_INLINE ACE_Reverse_Iterator_Impl< T >* ACE_Map_Manager_Reverse_Iterator_Adapter< T,KEY,VALUE >::clone ( | void ) const`[virtual]`

| Clone. Reimplemented from ACE_Reverse_Iterator_Impl.

template<classT, classKEY, classVALUE>
ACE_INLINE int ACE_Map_Manager_Reverse_Iterator_Adapter< T,KEY,VALUE >::compare ( | const ACE_Reverse_Iterator_Impl< T >& rhs ) const`[virtual]`

| Comparison. Reimplemented from ACE_Reverse_Iterator_Impl.

template<classT, classKEY, classVALUE>
ACE_INLINE T ACE_Map_Manager_Reverse_Iterator_Adapter< T,KEY,VALUE >::dereference ( | void ) const`[virtual]`

| Dereference. Reimplemented from ACE_Reverse_Iterator_Impl.

template<classT, classKEY, classVALUE>
ACE_INLINE ACE_Map_Reverse_Iterator< KEY,VALUE,ACE_Null_Mutex >& ACE_Map_Manager_Reverse_Iterator_Adapter< T,KEY,VALUE >::impl ( | void )

| Accessor to implementation object.

template<classT, classKEY, classVALUE>
ACE_INLINE void ACE_Map_Manager_Reverse_Iterator_Adapter< T,KEY,VALUE >::minus_minus ( | void )`[virtual]`

| Reverse. Reimplemented from ACE_Reverse_Iterator_Impl.

template<classT, classKEY, classVALUE>
ACE_INLINE void ACE_Map_Manager_Reverse_Iterator_Adapter< T,KEY,VALUE >::plus_plus ( | void )`[virtual]`

| Advance. Reimplemented from ACE_Reverse_Iterator_Impl.

## Member Data Documentation

template<classT, classKEY, classVALUE>
ACE_Map_Reverse_Iterator< KEY,VALUE,ACE_Null_Mutex > ACE_Map_Manager_Reverse_Iterator_Adapter<T, KEY, VALUE>::implementation_`[protected]`

| All implementation details are forwarded to this class.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.i